/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to x_pankaj_x@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

x_pankaj_x@intellectualheaven.com   2003-08-18
First version checked in CVS
-- */


/* main.cpp */

//System include files
#include <time.h>

//Local include files
#include "des.h"

int main()
{
	unsigned char plain_data[] = {0x4e,0x6f,0x77,0x20,0x69,0x73,0x20,0x74};
	//OR
	//unsigned char plain_data[] = {"Now is t"};

	unsigned char cipher_data[8];
	unsigned char key[] = {0x01,0x23,0x45,0x67,0x89,0xab,0xcd,0xef};

	CDes obj;

	//Commented - needed only for performance calculation
	/*
	time_t ltime;
	struct tm *cur_time;
	time(&ltime);
	cur_time = localtime(&ltime);
	printf("Before Hour = %d, Min = %d, Sec = %d\n", cur_time->tm_hour, cur_time->tm_min, cur_time->tm_sec);
	
	for(int i = 0; i < 1; ++i)
	{
	*/
		obj.encrypt(plain_data, key, cipher_data);
		obj.decrypt(cipher_data, key, plain_data);		

	//Commented - needed only for performance calculation
	/*
	}
	time(&ltime);
	cur_time = localtime(&ltime);
	printf("After Hour = %d, Min = %d, Sec = %d\n", cur_time->tm_hour, cur_time->tm_min, cur_time->tm_sec);
	*/
	return 0;
}	
